<div
  class="full-width full-height"
  [attr.data-test-element-id]="'report-binding-' + reportId"
>
  <div class="report-info">
    <sqtm-core-label
      [text]="
        'sqtm-core.custom-report-workspace.report-definition-view.name'
          | translate
      "
    >
    </sqtm-core-label>
    <div>
      <span>{{ reportDefinition.name }}</span>
    </div>
  </div>

  <div class="report-info">
    <sqtm-core-label
      [text]="
        'sqtm-core.custom-report-workspace.report-definition-view.type'
          | translate
      "
    >
    </sqtm-core-label>
    <div>
      <span>{{ reportDefinition.label }}</span>
    </div>
  </div>

  @if (reportDefinition.summary) {
    <div class="report-info">
      <sqtm-core-label
        [text]="
          'sqtm-core.custom-report-workspace.report-definition-view.summary'
            | translate
        "
      >
      </sqtm-core-label>
      <div>
        <span>{{ reportDefinition.summary }}</span>
      </div>
    </div>
  }

  <span class="flex-fixed-size m-l-10 m-r-10 report-info">
    @if (!reportDefinition.missingPlugin) {
      <sqtm-core-toggle-icon
        [active]="canDownload() | async"
        [asyncRunning]="showSpinner$ | async"
        (clickedInActiveMode)="downloadReport($event)"
      >
        <i
          nz-icon
          nzType="sqtm-core-generic:download"
          nzTheme="outline"
          nz-tooltip
          [nzTooltipTitle]="
            'sqtm-core.generic.label.download' | translate | capitalize
          "
          class="action-icon-size"
          [attr.data-test-toolbar-button-id]="'download'"
        >
        </i>
      </sqtm-core-toggle-icon>
    }
  </span>
</div>
